0 Replies Latest reply on Aug 5, 2013 9:35 AM by Mike Baxley

    activemq-camel dependency in fuse esb 6

    Mike Baxley Newbie

      I have two projects that use the activemq-camel dependency (one project is the sample camel-activemq archetype) that I am able to run and test within the FuseIDE. 

      I am now trying to install these to my jboss fuse 6 full container but I receive an "Unable to install bundle" message.

      I have narrowed the cause to when I include the org.apache.activemq/activemq-camel/5.8.0.redhat-60024 dependency.

      The exception from the fuse.log is below.

      Any help/suggestions would be greatly appreciated.

      Thanks,

      Mike

       

      09:00:57,261 | ERROR | Thread-10        | FabConnection                    | 71 - org.fusesource.fabric.fab.fab-osgi - 7.2.0.redhat-024 | Failed to deploy file:/C:/Users/mbaxley/.m2/repository/org/codehaus/jsr166-mirror/jsr166/1.7.0/jsr166-1.7.0.jar due to error: org.osgi.framework.BundleException: Exporting java.* packages not allowed: java.util.concurrent
      org.osgi.framework.BundleException: Exporting java.* packages not allowed: java.util.concurrent
                at org.apache.felix.framework.util.manifestparser.ManifestParser.normalizeExportClauses(ManifestParser.java:729)
                at org.apache.felix.framework.util.manifestparser.ManifestParser.<init>(ManifestParser.java:191)
                at org.apache.felix.framework.BundleRevisionImpl.<init>(BundleRevisionImpl.java:119)
                at org.apache.felix.framework.BundleImpl.createRevision(BundleImpl.java:1199)
                at org.apache.felix.framework.BundleImpl.<init>(BundleImpl.java:96)
                at org.apache.felix.framework.Felix.installBundle(Felix.java:3080)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:165)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:138)
                at org.fusesource.fabric.fab.osgi.internal.FabConnection.installMissingDependencies(FabConnection.java:232)
                at org.fusesource.fabric.fab.osgi.internal.FabConnection.getInputStream(FabConnection.java:102)
                at org.apache.felix.framework.util.SecureAction.getURLConnectionInputStream(SecureAction.java:524)
                at org.apache.felix.framework.cache.JarRevision.initialize(JarRevision.java:165)
                at org.apache.felix.framework.cache.JarRevision.<init>(JarRevision.java:77)
                at org.apache.felix.framework.cache.BundleArchive.createRevisionFromLocation(BundleArchive.java:878)
                at org.apache.felix.framework.cache.BundleArchive.reviseInternal(BundleArchive.java:550)
                at org.apache.felix.framework.cache.BundleArchive.<init>(BundleArchive.java:153)
                at org.apache.felix.framework.cache.BundleCache.create(BundleCache.java:277)
                at org.apache.felix.framework.Felix.installBundle(Felix.java:3047)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:165)
                at org.apache.karaf.shell.osgi.InstallBundle.doExecute(InstallBundle.java:43)
                at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)
                at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.karaf.shell.console.jline.Console.run(Console.java:176)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at java.lang.Thread.run(Thread.java:722)[:1.7.0_05]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4.doRun(ShellFactoryImpl.java:151)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4$1.run(ShellFactoryImpl.java:142)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
                at java.security.AccessController.doPrivileged(Native Method)[:1.7.0_05]
                at org.apache.karaf.jaas.modules.JaasHelper.doAs(JaasHelper.java:47)[29:org.apache.karaf.jaas.modules:2.3.0.redhat-60024]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4.run(ShellFactoryImpl.java:140)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
      09:00:57,274 | INFO  | Thread-10        | Console                          | 15 - org.apache.karaf.shell.console - 2.3.0.redhat-60024 | Exception caught while executing command
      org.apache.karaf.shell.console.MultiException: Error installing bundles:
                Unable to install bundle fab:mvn:com.mycompany/camel-activemq/1.0.0-SNAPSHOT
                at org.apache.karaf.shell.console.MultiException.throwIf(MultiException.java:91)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.karaf.shell.osgi.InstallBundle.doExecute(InstallBundle.java:70)
                at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:38)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)
                at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:474)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:400)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at org.apache.karaf.shell.console.jline.Console.run(Console.java:176)[15:org.apache.karaf.shell.console:2.3.0.redhat-60024]
                at java.lang.Thread.run(Thread.java:722)[:1.7.0_05]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4.doRun(ShellFactoryImpl.java:151)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4$1.run(ShellFactoryImpl.java:142)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
                at java.security.AccessController.doPrivileged(Native Method)[:1.7.0_05]
                at org.apache.karaf.jaas.modules.JaasHelper.doAs(JaasHelper.java:47)[29:org.apache.karaf.jaas.modules:2.3.0.redhat-60024]
                at org.apache.karaf.shell.ssh.ShellFactoryImpl$ShellImpl$4.run(ShellFactoryImpl.java:140)[26:org.apache.karaf.shell.ssh:2.3.0.redhat-60024]
      Caused by: java.lang.Exception: Unable to install bundle fab:mvn:com.mycompany/camel-activemq/1.0.0-SNAPSHOT
                at org.apache.karaf.shell.osgi.InstallBundle.doExecute(InstallBundle.java:45)
                ... 16 more
      Caused by: org.osgi.framework.BundleException: Unable to cache bundle: fab:mvn:com.mycompany/camel-activemq/1.0.0-SNAPSHOT
                at org.apache.felix.framework.Felix.installBundle(Felix.java:3051)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:165)
                at org.apache.karaf.shell.osgi.InstallBundle.doExecute(InstallBundle.java:43)
                ... 16 more
      Caused by: java.io.IOException: Exporting java.* packages not allowed: java.util.concurrent
                at org.fusesource.fabric.fab.osgi.internal.FabConnection.getInputStream(FabConnection.java:110)
                at org.apache.felix.framework.util.SecureAction.getURLConnectionInputStream(SecureAction.java:524)
                at org.apache.felix.framework.cache.JarRevision.initialize(JarRevision.java:165)
                at org.apache.felix.framework.cache.JarRevision.<init>(JarRevision.java:77)
                at org.apache.felix.framework.cache.BundleArchive.createRevisionFromLocation(BundleArchive.java:878)
                at org.apache.felix.framework.cache.BundleArchive.reviseInternal(BundleArchive.java:550)
                at org.apache.felix.framework.cache.BundleArchive.<init>(BundleArchive.java:153)
                at org.apache.felix.framework.cache.BundleCache.create(BundleCache.java:277)
                at org.apache.felix.framework.Felix.installBundle(Felix.java:3047)
                ... 18 more
      Caused by: org.osgi.framework.BundleException: Exporting java.* packages not allowed: java.util.concurrent
                at org.apache.felix.framework.util.manifestparser.ManifestParser.normalizeExportClauses(ManifestParser.java:729)
                at org.apache.felix.framework.util.manifestparser.ManifestParser.<init>(ManifestParser.java:191)
                at org.apache.felix.framework.BundleRevisionImpl.<init>(BundleRevisionImpl.java:119)
                at org.apache.felix.framework.BundleImpl.createRevision(BundleImpl.java:1199)
                at org.apache.felix.framework.BundleImpl.<init>(BundleImpl.java:96)
                at org.apache.felix.framework.Felix.installBundle(Felix.java:3080)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:165)
                at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:138)
                at org.fusesource.fabric.fab.osgi.internal.FabConnection.installMissingDependencies(FabConnection.java:232)
                at org.fusesource.fabric.fab.osgi.internal.FabConnection.getInputStream(FabConnection.java:102)
                ... 26 more